# Uses of Class
org.apache.sling.resourceresolver.impl.providers.stateful.ProviderManager

Packages that use ProviderManager
Package
Description
org.apache.sling.resourceresolver.impl.helper
org.apache.sling.resourceresolver.impl.providers.stateful

## Uses of ProviderManager in org.apache.sling.resourceresolver.impl.helper

Methods in org.apache.sling.resourceresolver.impl.helper that return ProviderManager
Modifier and Type
Method
Description
`ProviderManager`
ResourceResolverContext.`getProviderManager()`

## Uses of ProviderManager in org.apache.sling.resourceresolver.impl.providers.stateful

Constructors in org.apache.sling.resourceresolver.impl.providers.stateful with parameters of type ProviderManager
Modifier
Constructor
Description
``
`BasicResolveContext(@NotNull org.apache.sling.api.resource.ResourceResolver resolver, @NotNull ProviderManager resolveContextManager, @NotNull ResourceResolverControl control, T providerState, @NotNull String parentPath)`